player_limb_setpose_cmd Struct Reference

Command: Set end effector pose (PLAYER_LIMB_CMD_SETPOSE) More...

`#include <player_interfaces.h>`

## Public Attributes

player_point_3d_t | position
| Position of the end effector. More...
player_point_3d_t | approach
| Approach vector. More...
player_point_3d_t | orientation
| Orientation vector. More...

## Detailed Description

Command: Set end effector pose (PLAYER_LIMB_CMD_SETPOSE)

Provides a fully-described pose (position, normal vector and orientation vector) for the end effector to move to.

## Member Data Documentation

player_point_3d_t player_limb_setpose_cmd::approach

Approach vector.

player_point_3d_t player_limb_setpose_cmd::orientation

Orientation vector.

player_point_3d_t player_limb_setpose_cmd::position

Position of the end effector.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45